メインコンテンツへスキップ
GET
JavaScript
非推奨のAPI: ライセンスキーは現在、Entitlements システムを通じて管理されています。発行されたライセンスキーを一覧表示するには、List Customer Grants を使用してください(integration_type=license_key でフィルタリング)。各付与にはその license_key 詳細が含まれています。このエンドポイントは将来のリリースで削除されます。

承認

Authorization
string
header
必須

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

クエリパラメータ

page_size
integer<int32>

Page size default is 10 max is 100

必須範囲: x >= 0
page_number
integer<int32>

Page number default is 0

必須範囲: x >= 0
customer_id
string

Filter by customer ID

status
enum<string>

Filter by license key status

利用可能なオプション:
active,
expired,
disabled
product_id
string

Filter by product ID

created_at_gte
string<date-time>

Filter license keys created on or after this timestamp

created_at_lte
string<date-time>

Filter license keys created on or before this timestamp

source
enum<string>

Filter by license key source

利用可能なオプション:
auto,
import,
manual

レスポンス

items
object[]
必須
最終更新日 2026年7月9日